/*
 * Copyright (c) 2007, 2021, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */

/**
 * Service-provider classes for the {@link java.nio.file} package.
 *
 * <p> Only developers who are defining new file system providers or file type
 * detectors should need to make direct use of this package.  </p>
 *
 * <p> Unless otherwise noted, passing a {@code null} argument to a constructor
 * or method in any class or interface in this package will cause a {@link
 * java.lang.NullPointerException NullPointerException} to be thrown.  In some
 * cases methods which are specified to throw an {@code IOException} may throw
 * a more specific <i><a href="../package-summary.html#optspecex">optional
 * specific exception</a></i>.
 *
 * @since 1.7
 */

package java.nio.file.spi;
