/*
 * Copyright (c) 2005, 2022, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */

package javax.lang.model.type;


/**
 * Represents the null type.
 * This is the type of the expression {@code null}.
 *
 * @jls 3.10.7 The Null Literal
 * @jls 4.1 The Kinds of Types and Values
 * @see javax.lang.model.util.Types#getNullType()
 * @since 1.6
 */

public interface NullType extends ReferenceType {
}
