/*
 * Copyright (c) 1998, 2020, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */

/**
 * Provides classes and interfaces for supporting the server side of RMI.
 * One group of classes are used by the static stubs and skeletons.
 * Another group of classes implements the RMI Transport protocol.
 *
 * <p><strong>Deprecated: Skeletons and Static Stubs.</strong>
 *
 * <em>Skeletons and statically generated stubs are deprecated.  This
 * includes the APIs in this package that require the use of skeletons
 * or static stubs and the runtime support for them.  Support for skeletons
 * and static stubs may be removed in a future release of the
 * platform. Skeletons are unnecessary, as server-side method dispatching
 * is handled directly by the RMI runtime. Statically generated stubs are
 * unnecessary, as stubs are generated dynamically using {@link
 * java.lang.reflect.Proxy Proxy} objects. See {@link
 * java.rmi.server.UnicastRemoteObject UnicastRemoteObject} for
 * information about dynamic stub generation.</em>
 *
 * @since 1.1
 */
package java.rmi.server;
