/*
 * Copyright (c) 2005, 2018, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */

/**
 * DOM-specific classes for the {@link javax.xml.crypto} package.
 * Only users who are using DOM-based XML cryptographic implementations (ex:
 * {@link javax.xml.crypto.dsig.XMLSignatureFactory XMLSignatureFactory} or
 * {@link javax.xml.crypto.dsig.keyinfo.KeyInfoFactory})
 * should need to make direct use of this package.
 *
 * <h2>Package Specification</h2>
 *
 * <ul>
 * <li>
 * <a href="http://www.w3.org/TR/xmldsig-core/">
 * XML-Signature Syntax and Processing: W3C Recommendation</a>
 * <li>
 * <a href="http://www.ietf.org/rfc/rfc3275.txt">
 * RFC 3275: XML-Signature Syntax and Processing</a>
 * </ul>
 *
 * @since 1.6
 */

package javax.xml.crypto.dom;
